Bug 254086 - just install 100dpi fonts by default not 75dpi
Summary: just install 100dpi fonts by default not 75dpi
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jeremy Katz
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-24 00:39 UTC by Jens Petersen
Modified: 2014-03-17 03:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 19:42:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2007-08-24 00:39:15 UTC
Description of problem:
We currently install certain bitmap fonts in both 100dpi and 75dpi
variants (currently the 75dpi fonts seem to have higher priority): from comps

      <packagereq type="mandatory">xorg-x11-fonts-100dpi</packagereq>
      <packagereq type="mandatory">xorg-x11-fonts-75dpi</packagereq>
      <packagereq type="mandatory">xorg-x11-fonts-ISO8859-1-100dpi</packagereq>
      <packagereq type="mandatory">xorg-x11-fonts-ISO8859-1-75dpi</packagereq>

Could we make the 100dpi (or 75dpi?) packages optional instead,
or are both really still necessary?

I ask also in the context of the other 75/100dpi packages currently
listened in comps for various languages: 
fonts-ISO8859-2-100dpi
fonts-ISO8859-2-75dpi
fonts-KOI8-R-100dpi
fonts-KOI8-R-75dpi
xorg-x11-fonts-ISO8859-2-100dpi
xorg-x11-fonts-ISO8859-2-75dpi
xorg-x11-fonts-ISO8859-9-100dpi
xorg-x11-fonts-ISO8859-9-75dpi

installed for various languages.

Comment 1 Bill Nottingham 2007-08-29 17:43:06 UTC
CCing X and font gurus for comments.

Comment 2 Jens Petersen 2007-08-30 00:53:32 UTC
Just to add that Nicolas Mailhot originally proposed this in a thread on
fonts in comps:
<https://www.redhat.com/archives/fedora-devel-list/2007-August/msg01676.html>.
His suggestion was to just install the 100dpi fonts by default.


Comment 3 Behdad Esfahbod 2007-09-04 00:13:28 UTC
100dpi makes more sense.  Most monitors these days range from 85 to 120 dpi.

Comment 4 Adam Jackson 2007-09-06 19:42:06 UTC
100dpi only is totally fine with me, apps shouldn't be using the legacy bitmap
fonts anymore anyway.

Fixed in comps for f8, closing.


Note You need to log in before you can comment on or make changes to this bug.